{% extends 'scientist/base.html.twig' %}

{% block style %}
    <style>
        .app-content .page-description {
            margin-bottom: 0px;
        }
    </style>
{% endblock %}

{% block content %}
    <div class="row">
        <div class="col">
            <div class="page-description d-flex align-items-center">
                <div class="page-description-content flex-grow-1">
                    <h1>Create article</h1>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        {{ form_start(articleForm, {'attr': {'class': 'row g-3'}}) }}
        <div class="col-md-12">
            <label for="title" class="form-label">Title</label>
            {{ form_row(articleForm.title) }}
        </div>
        <div class="col-12">
            <label for="inputAddress" class="form-label">Image</label>
            {{ form_row(articleForm.imageFile) }}
        </div>
        <div class="col-md-12">
            <label for="description" class="form-label"
            >Description</label
            >
            {{ form_row(articleForm.text, {'attr': {'rows': '10', 'cols': '50'}}) }}
        </div>
        <div class="col-12">
            <label for="langcode" class="form-label">Language code</label>
            {{ form_row(articleForm.langcode) }}
        </div>
        <div class="col-12">
            <button type="submit" class="btn btn-primary">Create</button>
        </div>
        {{ form_end(articleForm) }}
    </div>
{% endblock %}
